<?php
namespace Claromentis\Gallery\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZw=" . "="), "_bcae22e258f1cb" . "3c447947b395d2e" . "5f9" => base64_decode("Z2FsbGVyeV" . "9nYWxsZXJ5"), "_ab9bcf0e2fd858c173" . "0f35533e9491e9" => base64_decode("Z2FsbGVyeV9pbWF" . "nZQ=="), "_7f4bab7268" . "c708fce91f2" . "8cff921fb7e" => base64_decode("YXBwX2dhbGxl" . "cnk="), "_99cb7d6393e8f6b8b9efffb220b7" . "f444" => base64_decode("bWVudS5hc" . "HAuZ2FsbG" . "VyeQ=="));
use Claromentis\Gallery\GalleryApplication as GalleryGalleryApplication;
use Claromentis\Gallery\Search\GallerySearchGallery;
use Claromentis\Gallery\Search\GallerySearchImage;
use Claromentis\Search\Application\ApplicationInterface;
use Claromentis\Search\Application\CacheableInterface;
use Claromentis\Search\Application\IconInterface;




class GalleryApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    
    
    
    
    
    
    
    
    public function GetTypes()
    {
        $_343a395319323dd7609bcbc465b4d034 = [$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bcae22e258f1c" . "b3c447947b395d" . "2e5f9"] => function () {
            return new GallerySearchGallery();
        }, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ab9bcf0e2fd85" . "8c1730f35533e9" . "491e9"] => function () {
            return new GallerySearchImage();
        }];
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_99cb7d6393e8f" . "6b8b9efffb220b" . "7f444"]);
    }
    
    
    
    
    
    
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_7f4bab7268c708fce91f28c" . "ff921fb7e"];
    }
    public function GetIcon() : string
    {
        return GalleryGalleryApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bcae22e258f1cb3c447947b395d2e5f" . "9"]];
    }
}